CPGETC(3NCARG)

NAME
CPGETC - Retrieves the current value of an internal parameter of type CHARACTER.

SYNOPSIS
CALL CPGETC (PNAM, CVAL)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_cpgetc (char *pnam, char *cval, int len)

DESCRIPTION

PNAM
    (CHARACTER, input) is the name of a parameter whose character value is to be retrieved. Only the first three characters of PNAM are examined. It is recommended that the rest of the character string be used to improve the readability of the code. For example, instead of just 'LLT', use 'LLT - LINE LABEL TEXT'.

CVAL
    (CHARACTER, output) is a variable in which the value of the parameter specified by PNAM is to be returned.

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions with the following exception:

len The size of cval as dimensioned in the calling program.

USAGE
This routine allows you to retrieve the current value of Conpack parameters. For a complete list of parameters available in this utility, see the conpack_params man page.

EXAMPLES
Use the ncargex command to see the following relevant example: cpex07.

ACCESS
To use CPGETC or c_cpgetc, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

MESSAGES
See the conpack man page for a description of all Conpack error messages and/or informational messages.

SEE ALSO
Online: conpack, conpack_params, cpback, cpchcf, cpchcl, cpchhl, cpchil, cpchll, cpcica, cpclam, cpcldm, cpcldr, cpcltr, cpcnrc, cpdrpl, cpezct, cpgeti, cpgetr, cplbam, cplbdr, cpmpxy, cpmviw, cpmvrw, cppkcl, cppklb, cprect, cprset, cpscae, cpsetc, cpseti, cpsetr, cpsps1, cpsps2, ncarg_cbind

Hardcopy: NCAR Graphics Contouring and Mapping Tutorial

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.